Bug 1489308 - [abrt] dnf: _progress_cb(): __init__.py:1366:log:SystemError: <built-in function isinstance> returned a result with an error set
Summary: [abrt] dnf: _progress_cb(): __init__.py:1366:log:SystemError: <built-in funct...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:62e1333cc7faac590903ebf96e0...
Keywords: Triaged
: 1492494 1572963 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 07:42 UTC by Ole Krüger
Modified: 2018-10-22 16:13 UTC (History)
8 users (show)

Fixed In Version: dnf-4.0.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-10-22 16:13:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (51.55 KB, text/plain)
2017-09-07 07:42 UTC, Ole Krüger
no flags Details
File: backtrace (2.74 KB, text/plain)
2017-09-07 07:42 UTC, Ole Krüger
no flags Details
File: cgroup (321 bytes, text/plain)
2017-09-07 07:42 UTC, Ole Krüger
no flags Details
File: cpuinfo (1.35 KB, text/plain)
2017-09-07 07:43 UTC, Ole Krüger
no flags Details
File: dnf-makecache.log (12.46 KB, text/plain)
2017-09-07 07:43 UTC, Ole Krüger
no flags Details
File: environ (2.20 KB, text/plain)
2017-09-07 07:43 UTC, Ole Krüger
no flags Details
File: mountinfo (3.47 KB, text/plain)
2017-09-07 07:43 UTC, Ole Krüger
no flags Details
File: namespaces (102 bytes, text/plain)
2017-09-07 07:43 UTC, Ole Krüger
no flags Details
File: open_fds (2.18 KB, text/plain)
2017-09-07 07:43 UTC, Ole Krüger
no flags Details

Description Ole Krüger 2017-09-07 07:42:48 UTC
Version-Release number of selected component:
dnf-2.6.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/libexec/system-python /bin/dnf install https://prerelease.keybase.io/keybase_amd64.rpm
crash_function: _progress_cb
exception_type: KeyboardInterrupt
executable:     /bin/dnf
kernel:         4.11.11-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
__init__.py:1366:log:SystemError: <built-in function isinstance> returned a result with an error set

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/repo.py", line 415, in _progress_cb
    def _progress_cb(self, cbdata, total, done):
KeyboardInterrupt

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/util.py", line 210, in new_func
    log_call('Call: %s: %s, %s', name, args[1:], kwargs)
  File "/usr/lib64/python3.6/logging/__init__.py", line 1366, in log
    if not isinstance(level, int):
SystemError: <built-in function isinstance> returned a result with an error set

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 179, in user_main
    errcode = main(args)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1029, in run
    return self.command.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/commands/install.py", line 90, in run
    for pkg in self.base.add_remote_rpms(self.opts.filenames, strict=strict):
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 1102, in add_remote_rpms
    path = dnf.util._urlopen_progress(path, self.conf)
  File "/usr/lib/python3.6/site-packages/dnf/util.py", line 73, in _urlopen_progress
    librepo.download_packages(targets, failfast=True)
  File "/usr/lib64/python3.6/site-packages/librepo/__init__.py", line 1597, in download_packages
    return _librepo.download_packages(list, failfast)
  File "/usr/lib/python3.6/site-packages/dnf/util.py", line 210, in new_func
    log_call('Call: %s: %s, %s', name, args[1:], kwargs)
  File "/usr/lib64/python3.6/logging/__init__.py", line 1366, in log
    if not isinstance(level, int):
SystemError: <built-in function isinstance> returned a result with an error set

Local variables in innermost frame:
kwargs: {}
args: ('RemoteRPMPayload._end_cb', (<dnf.repo.RemoteRPMPayload object at 0x7f25e748ab70>, 2, 'Downloading was aborted by LR_CB_ERROR from mirror failure callback. Original error was: Curl error (42): Operation was aborted by an application callback for https://prerelease.keybase.io/keybase_amd64.rpm [Callback aborted]'), {})
msg: 'Call: %s: %s, %s'
level: 6
self: <Logger dnf (SUBDEBUG)>

Comment 1 Ole Krüger 2017-09-07 07:42:56 UTC
Created attachment 1322941 [details]
File: _var_log_dnf.log

Comment 2 Ole Krüger 2017-09-07 07:42:57 UTC
Created attachment 1322942 [details]
File: backtrace

Comment 3 Ole Krüger 2017-09-07 07:42:59 UTC
Created attachment 1322943 [details]
File: cgroup

Comment 4 Ole Krüger 2017-09-07 07:43:01 UTC
Created attachment 1322944 [details]
File: cpuinfo

Comment 5 Ole Krüger 2017-09-07 07:43:03 UTC
Created attachment 1322945 [details]
File: dnf-makecache.log

Comment 6 Ole Krüger 2017-09-07 07:43:04 UTC
Created attachment 1322946 [details]
File: environ

Comment 7 Ole Krüger 2017-09-07 07:43:06 UTC
Created attachment 1322947 [details]
File: mountinfo

Comment 8 Ole Krüger 2017-09-07 07:43:07 UTC
Created attachment 1322948 [details]
File: namespaces

Comment 9 Ole Krüger 2017-09-07 07:43:09 UTC
Created attachment 1322949 [details]
File: open_fds

Comment 10 Jeremy 2017-09-17 21:12:08 UTC
*** Bug 1492494 has been marked as a duplicate of this bug. ***

Comment 11 Fedora End Of Life 2018-05-03 07:57:25 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Jan Kurik 2018-08-14 10:18:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 13 Jaroslav Mracek 2018-10-08 09:32:37 UTC
Probably this is fixed by https://github.com/rpm-software-management/dnf/pull/1238#issuecomment-427764009.

Comment 14 Jaroslav Mracek 2018-10-08 14:43:35 UTC
*** Bug 1572963 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2018-10-15 12:28:46 UTC
dnf-plugins-core-4.0.0-1.fc29 dnf-4.0.4-1.fc29 libdnf-0.22.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 16 Fedora Update System 2018-10-15 18:23:19 UTC
dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-1.fc29, libdnf-0.22.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 17 Fedora Update System 2018-10-17 13:01:49 UTC
dnf-4.0.4-1.fc29 dnf-plugins-core-4.0.0-2.fc29 libdnf-0.22.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 18 Fedora Update System 2018-10-17 23:30:43 UTC
dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libdnf-0.22.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 19 Fedora Update System 2018-10-18 14:06:36 UTC
anaconda-29.24.6-1.fc29 dnf-4.0.4-1.fc29 dnf-plugins-core-4.0.0-2.fc29 libblockdev-2.20-2.fc29 libdnf-0.22.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 20 Fedora Update System 2018-10-20 19:22:14 UTC
anaconda-29.24.7-1.fc29, dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libblockdev-2.20-2.fc29, libdnf-0.22.0-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 21 Fedora Update System 2018-10-22 16:13:11 UTC
anaconda-29.24.7-1.fc29, dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libblockdev-2.20-2.fc29, libdnf-0.22.0-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.